Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.io
Class IRhino3dm.NurbsSurface

    java.lang.Object
      igeo.io.IRhino3dm.RhinoObject
          igeo.io.IRhino3dm.Geometry
              igeo.io.IRhino3dm.Surface
                  igeo.io.IRhino3dm.NurbsSurface

Enclosing class:
  IRhino3dm

    public static class IRhino3dm.NurbsSurface

extends IRhino3dm.Surface

Nested Class Summary

Nested classes/interfaces inherited from class igeo.io.IRhino3dm.Surface
`IRhino3dm.Surface.ISO`

Field Summary
`IVec[][]` | `cv`
`int[]` | `cvCount`
`int` | `dim`
`int` | `isRat`
`double[][]` | `knot`
`int[]` | `knotCapacity`
`int[]` | `order`
`static java.lang.String` | `uuid`

Fields inherited from class igeo.io.IRhino3dm.RhinoObject
`attributes, objectTypeAnnotation, objectTypeAny, objectTypeBeam, objectTypeBrep, objectTypeCage, objectTypeClipPlane, objectTypeCurve, objectTypeDetail, objectTypeEdgeFilter, objectTypeExtrusion, objectTypeGrip, objectTypeHatch, objectTypeInstanceDefinition, objectTypeInstanceReference, objectTypeLayer, objectTypeLight, objectTypeLoop, objectTypeMaterial, objectTypeMesh, objectTypeMeshEdge, objectTypeMeshFace, objectTypeMeshVertex, objectTypeMorphControl, objectTypePhantom, objectTypePoint, objectTypePointset, objectTypePolyledgeFilter, objectTypePolysrfFilter, objectTypeSurface, objectTypeTextDot, objectTypeUnknown, objectTypeUserData`

Constructor Summary
`IRhino3dm.NurbsSurface()`
`IRhino3dm.NurbsSurface(ISurfaceGeo surf)`

Method Summary
`ISurfaceGeo` | `createIGeometry(IRhino3dm.Rhino3dmFile context, IServerI s)`
`ISurface` | `createIObject(IRhino3dm.Rhino3dmFile context, IServerI s)`
`int` | `cvSize()`
`IRhino3dm.Interval` | `domain(int dir)`
`IRhino3dm.UUID` | `getClassUUID()`
`double[]` | `getIGUKnots()`
`double[]` | `getIGVKnots()`
`void` | `read(IRhino3dm.Rhino3dmFile context, java.io.InputStream is)`
`void` | `write(IRhino3dm.Rhino3dmFile context, java.io.OutputStream os, java.util.zip.CRC32 crc)`

Methods inherited from class igeo.io.IRhino3dm.Surface
`getInt, getType, readIso`

Methods inherited from class igeo.io.IRhino3dm.RhinoObject
`read, setAttributes, setAttributesToIObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### uuid

    public static final java.lang.String uuid

See Also:
  Constant Field Values

### dim

    public int dim

### isRat

    public int isRat

### order

    public int[] order

### cvCount

    public int[] cvCount

### knotCapacity

    public int[] knotCapacity

### knot

    public double[][] knot

### cv

    public IVec[][] cv

Constructor Detail

### IRhino3dm.NurbsSurface

    public IRhino3dm.NurbsSurface()

### IRhino3dm.NurbsSurface

    public IRhino3dm.NurbsSurface(ISurfaceGeo surf)

Method Detail

### getClassUUID

    public IRhino3dm.UUID getClassUUID()

  Overrides:
    `getClassUUID` in class `IRhino3dm.Surface`

### domain

    public IRhino3dm.Interval domain(int dir)

  Overrides:
    `domain` in class `IRhino3dm.Surface`

### read

    public void read(IRhino3dm.Rhino3dmFile context,
                     java.io.InputStream is)
              throws java.io.IOException

  Overrides:
    `read` in class `IRhino3dm.RhinoObject`
  Throws:
    `java.io.IOException`

### write

    public void write(IRhino3dm.Rhino3dmFile context,
                      java.io.OutputStream os,
                      java.util.zip.CRC32 crc)
               throws java.io.IOException

  Overrides:
    `write` in class `IRhino3dm.RhinoObject`
  Throws:
    `java.io.IOException`

### cvSize

    public int cvSize()

### getIGUKnots

    public double[] getIGUKnots()

### getIGVKnots

    public double[] getIGVKnots()

### createIObject

    public ISurface createIObject(IRhino3dm.Rhino3dmFile context,
                                  IServerI s)

  Overrides:
    `createIObject` in class `IRhino3dm.Surface`

### createIGeometry

    public ISurfaceGeo createIGeometry(IRhino3dm.Rhino3dmFile context,
                                       IServerI s)

  Overrides:
    `createIGeometry` in class `IRhino3dm.Surface`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD